--Turn termout on because we come into this
--script with it off.
set termout on

--Does the user want to first delete the tables?
PROMPT
PROMPT You have the option of dropping the sample
PROMPT tables before creating them. This is useful
PROMPT if you have previously created the sample
PROMPT tables, and are recreating them in order to
PROMPT reload the original data.
PROMPT
ACCEPT continue_flag CHAR PROMPT 'Do you wish to DELETE the tables first (Y/N)?'

--Execute the appropriate command file based on the
--user's response. Note that the Y/N response is used to form
--the name of the next file we should execute.
--TERMOUT is set off so that the user does not
--see any errors caused by the file not existing.
define bld_db2_flag = 'n'
SET TERMOUT OFF
@@bld_db2&continue_flag
SET TERMOUT ON

--If one the BLD_DB2X files was not executed, then
--bld_db2_flag will still be N. In that case we display an
--error message.
SET SERVEROUTPUT ON
PROMPT
BEGIN
  IF '&BLD_DB2_FLAG' = 'n' THEN
    DBMS_OUTPUT.PUT_LINE('You must answer either Y or N.');
    DBMS_OUTPUT.PUT_LINE('Please rerun the command file and answer correctly.');
  END IF;
END;
/

--Let the calling script know that we were successful.
define bld_db1_flag = 'Y'

